package com.liquidnet.service.goblin.dto.manage;

import com.liquidnet.service.goblin.dto.vo.GoblinStoreInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "GoblinStoreMgtCompleteParam", description = "店铺认证:认证资料入参")
@Data
public class GoblinStoreMgtCompleteParam implements java.io.Serializable {
    private static final long serialVersionUID = -5612313562282544613L;
    @ApiModelProperty(position = 11, value = "店铺名称[128]")
    private String storeName;
    @ApiModelProperty(position = 12, value = "店铺LOGO[256]")
    private String logoPic;
    @ApiModelProperty(position = 13, value = "店铺背景图[256]")
    private String backgroundPic;
    @ApiModelProperty(position = 14, value = "店铺介绍[500]")
    private String introduce;

    public GoblinStoreInfoVo completeStoreInfoVo(GoblinStoreInfoVo vo) {
        vo.setStoreName(this.getStoreName());
        vo.setLogoPic(this.getLogoPic());
        vo.setBackgroundPic(this.getBackgroundPic());
        vo.setIntroduce(this.getIntroduce());
        vo.setStatus("1");
        return vo;
    }
}
